"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isInIframe = void 0;
const sdkDapp_1 = require("../../lib/sdkDapp");
const isInIframe = () => {
    if (!('location' in sdkDapp_1.safeWindow)) {
        // no window available
        return true;
    }
    try {
        return sdkDapp_1.safeWindow.self !== sdkDapp_1.safeWindow.top;
    }
    catch (e) {
        return true;
    }
};
exports.isInIframe = isInIframe;
//# sourceMappingURL=isInIFrame.js.map